Skip to main content
POST
Approve a tap intent with this tap

Authorizations

Authorization
string
header
required

Use Authorization: Bearer end_sess_* for V2 browser session tokens (e.g. end_sess_ZW5kc3RhdGUtZXhhbXBsZS1zZXNzaW9uLXRva2VuAAA).

Path Parameters

unit_id
string<uuid>
required
tap_intent_id
string
required
Pattern: ^tapi_[0-9a-f]{32}$
Example:

"tapi_3f9c1b7a2d4e4f60a1b2c3d4e5f60718"

Body

application/json
tap_code
string

The code the person typed. Required when the tap intent has code_required.

Pattern: ^[0-9]{6}$
Example:

"482913"

Response

The tap intent, approved.

id
string
required
status
enum<string>
required
Available options:
approved,
canceled
redirect_url
string | null
required

Where to send the person after they confirm, with tap_intent=<id> added. Null after a cancel and when the tap intent has no redirect URL.